summaryrefslogtreecommitdiff
path: root/lib/tests
diff options
context:
space:
mode:
authorMarius Vlad <marius.c.vlad@intel.com>2016-08-31 19:59:02 +0300
committerMarius Vlad <marius.c.vlad@intel.com>2016-09-01 09:59:55 +0300
commit75e7a3a8d255a4b925e24939e771af3e7cdf15dc (patch)
tree30b5962f581eb8493ff746776c99469408646394 /lib/tests
parent7213c3e09621d9708a87d26cda4b1b71fe73d206 (diff)
autotools/: Allow check target to be invoked w/o the need to issue a build.
We need to have the test list generated before running the check target. Migrated igt_command_line.sh to tests/ from lib/tests/, which allows to building the tests and execute the script. This would allow cleaning followed by a make check. Also assembler/ directory needs also to be adjusted in order for this to work. Kept the possibility to invoke tests/igt_command_line.sh to determine which test is failing. Signed-off-by: Marius Vlad <marius.c.vlad@intel.com> Url: https://patchwork.freedesktop.org/series/6539/ Reviewed-By: Chris Wilson <chris@chris-wilson.co.uk>
Diffstat (limited to 'lib/tests')
-rw-r--r--lib/tests/Makefile.am2
-rw-r--r--lib/tests/Makefile.sources4
-rwxr-xr-xlib/tests/igt_command_line.sh84
3 files changed, 0 insertions, 90 deletions
diff --git a/lib/tests/Makefile.am b/lib/tests/Makefile.am
index c2fa2ebd..5d14194a 100644
--- a/lib/tests/Makefile.am
+++ b/lib/tests/Makefile.am
@@ -7,8 +7,6 @@ AM_TESTS_ENVIRONMENT = \
top_builddir=$(top_builddir) \
top_srcdir=$(top_srcdir)
-EXTRA_DIST = $(check_SCRIPTS)
-
AM_CFLAGS = $(DRM_CFLAGS) $(CWARNFLAGS) $(DEBUG_CFLAGS) \
-I$(srcdir)/../.. \
-I$(srcdir)/.. \
diff --git a/lib/tests/Makefile.sources b/lib/tests/Makefile.sources
index 5d8c7851..3fcfe141 100644
--- a/lib/tests/Makefile.sources
+++ b/lib/tests/Makefile.sources
@@ -15,10 +15,6 @@ check_prog_list = \
igt_exit_handler \
$(NULL)
-check_script_list = \
- igt_command_line.sh \
- $(NULL)
-
TESTS = \
$(check_prog_list) \
$(check_script_list) \
diff --git a/lib/tests/igt_command_line.sh b/lib/tests/igt_command_line.sh
deleted file mode 100755
index 35f580f0..00000000
--- a/lib/tests/igt_command_line.sh
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/sh
-#
-# Copyright © 2014 Intel Corporation
-#
-# Permission is hereby granted, free of charge, to any person obtaining a
-# copy of this software and associated documentation files (the "Software"),
-# to deal in the Software without restriction, including without limitation
-# the rights to use, copy, modify, merge, publish, distribute, sublicense,
-# and/or sell copies of the Software, and to permit persons to whom the
-# Software is furnished to do so, subject to the following conditions:
-#
-# The above copyright notice and this permission notice (including the next
-# paragraph) shall be included in all copies or substantial portions of the
-# Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
-# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
-# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
-# IN THE SOFTWARE.
-
-#
-# Check that command line handling works consistently across all tests
-#
-
-if [ -z "$top_builddir" ]; then
- top_builddir="$(dirname $0)/../.."
-fi
-
-TESTLIST=`cat $top_builddir/tests/test-list.txt`
-if [ $? -ne 0 ]; then
- echo "Error: Could not read test lists"
- exit 99
-fi
-
-fail () {
- echo "FAIL: $1"
- exit 1
-}
-
-for test in $TESTLIST; do
- if [ "$test" = "TESTLIST" -o "$test" = "END" ]; then
- continue
- fi
-
- if [ -x $top_builddir/tests/$test ]; then
- test=$top_builddir/tests/$test
- else
- # if the test is a script, it will be in $srcdir
- test=$top_srcdir/tests/$test
- fi
-
- echo "$test:"
-
- # check invalid option handling
- echo " Checking invalid option handling..."
- ./$test --invalid-option 2> /dev/null && fail $test
-
- # check valid options succeed
- echo " Checking valid option handling..."
- ./$test --help > /dev/null || fail $test
-
- # check --list-subtests works correctly
- echo " Checking subtest enumeration..."
- LIST=`./$test --list-subtests`
- RET=$?
- if [ $RET -ne 0 -a $RET -ne 79 ]; then
- fail $test
- fi
-
- if [ $RET -eq 79 -a -n "$LIST" ]; then
- fail $test
- fi
-
- if [ $RET -eq 0 -a -z "$LIST" ]; then
- fail $test
- fi
-
- # check invalid subtest handling
- echo " Checking invalid subtest handling..."
- ./$test --run-subtest invalid-subtest > /dev/null 2>&1 && fail $test
-done